summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRussell Harmon <russ@eatnumber1.com>2010-02-19 10:44:24 -0500
committerRussell Harmon <russ@eatnumber1.com>2010-02-19 10:44:24 -0500
commit2baed83ce503bd51b53cf1eb7044731c652e6dfa (patch)
tree2280af9f57f064b7931af65f6c2565802593c002 /games-roguelike
parentDelete Thumbs.db files. (diff)
downloadeatnumber1-2baed83ce503bd51b53cf1eb7044731c652e6dfa.tar.gz
eatnumber1-2baed83ce503bd51b53cf1eb7044731c652e6dfa.tar.bz2
eatnumber1-2baed83ce503bd51b53cf1eb7044731c652e6dfa.zip
Add support for -j options.
Diffstat (limited to 'games-roguelike')
-rw-r--r--games-roguelike/dwarf-fortress/dwarf-fortress-scm.ebuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/games-roguelike/dwarf-fortress/dwarf-fortress-scm.ebuild b/games-roguelike/dwarf-fortress/dwarf-fortress-scm.ebuild
index 2d37320..af8e547 100644
--- a/games-roguelike/dwarf-fortress/dwarf-fortress-scm.ebuild
+++ b/games-roguelike/dwarf-fortress/dwarf-fortress-scm.ebuild
@@ -83,8 +83,12 @@ src_prepare() {
epatch "${FILESDIR}/${P}_gentoo.patch"
}
+get_jobs() {
+ echo -j1 ${MAKEOPTS} | sed -r "s/.*(-j\s*|--jobs=)([0-9]+).*/\2/"
+}
+
src_compile() {
- scons || die
+ scons -j$(get_jobs) || die
}
src_install() {